Subject: Re: linux-next: manual merge of the edac-amd tree with the edac tree

From: Borislav Petkov <[email-masked]>
Date: Mon, 28 Nov 2016 09:27:35 +0100

On Mon, Nov 28, 2016 at 02:37:26PM +1100, Stephen Rothwell wrote:
> Hi Borislav,
> 
> Today's linux-next merge of the edac-amd tree got a conflict in:
> 
>   drivers/edac/edac_mc.c
> 
> between commit:
> 
>   ef91afa61088 ("edac: move documentation from edac_mc.c to edac_core.h")
> 
> from the edac tree and commit:
> 
>   c73e8833bec5 ("EDAC, mc: Fix locking around mc_devices list")
> 
> from the edac-amd tree.
> 
> I fixed it up (see below - there may be more fixes needed in
> edac_core.h) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

Just one issue which has nothing to do with linux-next. There's still
that in ef91afa61088:

> +/**
> + * edac_mc_find: Search for a mem_ctl_info structure whose index is @idx.
> + *
> + * @idx: index to be seek
> + *
> + * If found, return a pointer to the structure.
> + * Else return NULL.
> + *
> + * Caller must hold mem_ctls_mutex.
> + */

That last sentence in the comment is not true anymore - edac_mc_find()
is grabbing the mutex itself as it should be. Mauro, please fix that in
your tree.

Thanks.

-- 
Regards/Gruss,
    Boris.

Good mailing practices for 400: avoid top-posting and trim the reply.